Plugin Directory

Pygment It

A WordPress plugin for syntax highlighting using Pygments, though Pygments is not required to be installed.

By default, Pygment It will auto discover if Pygments is installed (through command -v pygmentize). If not, it will use http://pygments.appspot.com to highlight code (but without support for: highlighted lines, line numbers and line number to start).

  • Syntax-highlighted code cached as post metadata
  • Admin panel to choose theme, default language and Pygments usage (local, external API or auto discover)
  • Multiple themes available (github, monokai, railscasts, mustang, among others..)
  • Support for hl_lines (highlighted lines), linenos (line numbers) and linenostart (line number to start) when using a local installation of Pygments
  • Works with all Pygments's supported languages (the full list can be found here)

Requires: 3.0.1 or higher
Compatible up to: 3.4.2
Last Updated: 1 year ago
Active Installs: 10+


5 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.